Subject: Re: [PATCH v2 net-next] net: dsa: replace NETDEV_PRE_CHANGE_HWTSTAMP notifier with a stub

From: Jakub Kicinski <[email-masked]>
Date: Thu, 6 Apr 2023 07:35:56 -0700

On Thu, 6 Apr 2023 06:07:45 -0700 Florian Fainelli wrote:
> > There have been objections from Jakub Kicinski that using notifiers in
> > general when they are not absolutely necessary creates complications to
> > the control flow and difficulties to maintainers who look at the code.
> > So there is a desire to not use notifiers.  
> 
> Jakub is there a general desire to move away from notifiers? If so, do 
> you have a list of things that may no longer belong there?

I think they are harder to follow when debugging, so if other options
are available we should prefer them. Built-in code calling modular code,
for example, can be done thru a function pointer, which is the case
here.